Bug 309251 - gparted crashes after re-scanning devices
gparted crashes after re-scanning devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 12:29 EDT by Matthew Saltzman
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.3.3-13.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-10 01:00:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bug_309251_gparted_crashes_after_re-scanning_devices.patch (1.58 KB, patch)
2007-10-28 11:36 EDT, Jim Hayward
no flags Details | Diff

  None (edit)
Description Matthew Saltzman 2007-09-27 12:29:49 EDT
Description of problem:
After performing operations (or on request), gparted re-scans the disks, then
vanishes leaving no error messages.

Version-Release number of selected component (if applicable):
gparted-0.3.3-12.fc8

How reproducible:
Always

Steps to Reproduce:
1. run gparted
2. Select menu GParted -> Refresh Devices
3.
  
Actual results:
gparted window vanishes

Expected results:
Rescan completes and gparted stays up, ready for additional operations.

Additional info:
Comment 1 Jim Hayward 2007-10-28 11:32:51 EDT
Looking at the problem, the GtkComboBox on the toolbar that displays the list of
devices uses a GtkListStore as its underlying model. When Refresh Devices is
called the GtkListStore is cleared, this causes the function connected to the
"changed" signal of the GtkComboBox to be called. This causes the segfault by
trying to set the value of the GtkComboBox to an invalid value.

The simplest way I see to work around this is to simply block the "changed"
signal from being emitted when Refresh Devices is called.
Comment 2 Jim Hayward 2007-10-28 11:36:02 EDT
Created attachment 240891 [details]
bug_309251_gparted_crashes_after_re-scanning_devices.patch

This patch blocks the "changed" signal of the GtkComboBox when Refresh Devices
is called.
Comment 3 Deji Akingunola 2007-10-29 22:19:22 EDT
Thanks Jim for the patch. However I have other issue with building the package
on rawhide (bz #313281), I'll work on integrating the patch once the other issue
is resolved.
Comment 4 Jim Hayward 2007-10-30 00:00:49 EDT
I haven't seen the issue with bug #313281. But I can add a patch for it too. ;-)
Comment 5 Deji Akingunola 2007-10-30 00:16:52 EDT
Jim to the rescue again, thanks. Let me know if you're interested in being a
co-maintainer for this package.
Comment 6 Deji Akingunola 2007-10-30 17:07:38 EDT
I've applied the patch, new package already built.
Comment 7 Fedora Update System 2007-11-09 18:52:57 EST
gparted-0.3.3-13.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gparted'
Comment 8 Fedora Update System 2007-11-10 01:00:40 EST
gparted-0.3.3-13.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.